
CoCoA-5 - Design #1568

RMap and image: obsolescent?

22 Jan 2021 09:58 - John Abbott

Status: In Progress Start date: 22 Jan 2021

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 40%

Category: CoCoA-4 function: obsolete Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 1.95 hour

Description

I thought Rmap was completely obsolete.

It is defined in coclib.cpkg5 and exported.

It is also defined in radical.cpkg5 but not exported.

This cannot be right!

Related issues:

Related to CoCoALib - Feature #1598: RingHom: implement phi(X) as apply(phi, ... Closed 10 Jun 2021

History

#1 - 22 Jan 2021 11:21 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

#2 - 10 Jun 2021 17:15 - Anna Maria Bigatti

Checking the packages using it: one is toric.  Fix it!

#3 - 10 Jun 2021 18:01 - Anna Maria Bigatti

Move RMap in BackwardCompatible

#4 - 10 Jun 2021 18:09 - Anna Maria Bigatti

- Related to Feature #1598: RingHom: implement phi(X) as apply(phi, X)  also for X vector and matrix added

#5 - 05 Oct 2021 20:21 - John Abbott

- Priority changed from Normal to High

I have boosted priority to "high" because I would like this to be completed soon!

#6 - 05 Nov 2021 16:20 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 40

I have commented out the version in coclib.cpkg5.  All tests pass.

#7 - 05 Nov 2021 16:33 - Anna Maria Bigatti

- Subject changed from RMap to RMap and image: obsolesent?

- Category deleted (Cleaning)

- Assignee changed from Anna Maria Bigatti to Giovanni Lagorio

- Target version deleted (CoCoA-5.4.0)

The old function image is only used in radical.cpkg2 and toric.cpkg5.
They should (easily) be replaced by proper RingHom calls, and then declared obsolescent.

#8 - 05 Nov 2021 16:33 - Anna Maria Bigatti

- Subject changed from RMap and image: obsolesent? to RMap and image: obsolescent?

- Assignee changed from Giovanni Lagorio to Anna Maria Bigatti

#9 - 05 Nov 2021 16:34 - Anna Maria Bigatti

- Category set to CoCoA-4 function: obsolete

- Target version set to CoCoA-5.4.0

#10 - 03 Feb 2022 20:03 - John Abbott

- Target version changed from CoCoA-5.4.0 to CoCoA-5.4.2

#11 - 17 Oct 2022 14:04 - John Abbott

Any progress here?

I'd like to complete this issue.  It is one of those frustrating ones which take

quite a bit of time but make no visible progress.   :-?
